Skip to main content
Uniswap Api logo
  • Category: developer tools
  • Auth: API_KEY
  • Composio-managed OAuth available? N/A
  • Tools: 7
  • Triggers: 0
  • Slug: UNISWAP_API
  • Version: 20261101_00

Tools

Slug: UNISWAP_API_CHECK_APPROVALTool to check if a wallet has sufficient token approval for a specified transaction amount. Returns an approval transaction if needed, or null if approval already exists. Use this before executing a swap to verify or obtain the necessary token approval.

Input Parameters

string
required
The token which will be sent, specified by its token address.
string
required
The quantity of tokens denominated in the token’s base units. For example, for an ERC20 token one token is 1x10^18 base units. For one USDC token one token is 1x10^6 base units.
integer
required
The unique ID of the blockchain.
string ("normal" | "fast" | "urgent")
The urgency impacts the estimated gas price of the transaction. The higher the urgency, the higher the gas price.
string
The token which will be received, specified by its token address.
string
required
The wallet address which will be used to send the token.
boolean
If set to true, the response will include the estimated gas fee for the proposed transaction.
integer
The unique ID of the blockchain for the output token.

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: UNISWAP_API_CHECK_WALLET_DELEGATIONCheck delegation status for smart contract wallets across specified chains, including whether each wallet is delegated to Uniswap and its current and latest delegation addresses and delegator information. This operation is currently unavailable.

Input Parameters

array
required
Array of chain IDs to check delegation status for each wallet. Supported chain IDs include: 1 (Ethereum), 10 (Optimism), 56 (BNB Chain), 137 (Polygon), and others.
array
required
Array of smart contract wallet addresses to check delegation status for. Each address must be a valid Ethereum-style address (0x followed by 40 hex characters).

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: UNISWAP_API_ENCODE7702_TRANSACTIONSEncode a list of transactions into a single EIP-7702 smart contract wallet transaction for atomic execution. All transactions must have the same chain ID. This operation is currently unavailable.

Input Parameters

array
required
Array of transaction requests to be encoded. All transactions must have the same chainId.
string
required
The smart contract wallet address.
string
required
The smart contract delegation address.

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: UNISWAP_API_GET_GASLESS_ORDERSRetrieve one or more gasless orders from Uniswap, optionally filtered by query parameters. Must include at least one of: orderId, orderIds, orderStatus, swapper, or filler. Use when you need to check the status or details of Uniswap gasless orders (UniswapX orders).

Input Parameters

string
Sort query. For example: sort=gt(UNIX_TIMESTAMP), sort=between(1675872827, 1675872930), or lt(1675872930).
integer
Maximum number of orders to return.
string
Cursor for pagination.
string
Filter by filler address (address of the filler who executed the order).
string
Filter by swapper address (wallet address of the user who initiated the swap).
string
A unique ID for the order. Used to track the order’s status.
string ("createdAt")
Sort key for ordering results.
string
A list of comma separated orderIds.
string ("Dutch" | "Dutch_V2" | "Dutch_V1_V2" | "Dutch_V3" | "Limit" | "Priority")
Order type for the request.
string ("open" | "expired" | "error" | "cancelled" | "filled" | "unverified" | "insufficient-funds")
Order status filter.

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: UNISWAP_API_GET_QUOTERequest a quote for a swap, bridge, or wrap/unwrap operation. The response may include routing information and estimated gas fees.

Input Parameters

string ("EXACT_INPUT" | "EXACT_OUTPUT")
The handling of the amount field. EXACT_INPUT means the requester will send the specified amount of input tokens and get a quote with a variable quantity of output tokens. EXACT_OUTPUT means the requester will receive the specified amount of output tokens and get a quote with a variable quantity of input tokens.
string
required
The quantity of tokens denominated in the token’s base units. For example, for an ERC20 token one token is 10^18 base units. For one USDC token one token is 10^6 base units. This value must be greater than 0.
string
required
The wallet address which will be used to send the token.
string ("normal" | "fast" | "urgent")
The urgency impacts the estimated gas price.
string
required
The token which will be sent, specified by its token address.
array
The protocols to use for the swap/order.
string
required
The token which will be received, specified by its token address.
string ("DEFAULT")
The auto slippage strategy for V4 pool quotes.
string ("V4_HOOKS_INCLUSIVE" | "V4_HOOKS_ONLY" | "V4_NO_HOOKS")
Hook options for V4 pool quotes.
string ("FULL" | "EXACT")
The permit amount for Uniswap protocol swaps.
array
Optional integrator fee configuration.
integer
The unique ID of the blockchain. For a list of supported chains see the FAQ.
string ("BEST_PRICE" | "FASTEST")
The routing preference for the quote.
number
The slippage tolerance as a percentage up to a maximum of two decimal places.
integer
The unique ID of the blockchain. For a list of supported chains see the FAQ.
string ("EXECUTION" | "PRICE")
Spread optimization for UniswapX swaps.
boolean
Indicates whether you want to receive a permit2 transaction to sign and submit onchain, or a permit message to sign.

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: UNISWAP_API_GET_SWAPPABLE_TOKENSRetrieve swappable or bridgeable destination tokens for a source token and chain, to discover cross-chain swap and bridge options. This operation is currently unavailable.

Input Parameters

string
The contract address of the token on the source chain (zero address for native ETH).
integer
The unique ID of the blockchain. For a list of supported chains see the FAQ (https://api-docs.uniswap.org/guides/faqs). Default is 1 (Ethereum mainnet).

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not
Slug: UNISWAP_API_GET_SWAP_STATUSTool to retrieve the current status of swap or bridge transactions on the Uniswap trading platform. Use when you need to check if a swap transaction has been confirmed, is pending, or has failed. Provide the transaction hash(es) to get the status of one or more swap transactions.

Input Parameters

integer
The unique ID of the blockchain. For a list of supported chains see the FAQ. Defaults to 1 (Ethereum mainnet).
array
required
The list of transaction hashes to check the swap status for.

Output

string
required
Data from the action execution
string
Error if any occurred during the execution of the action
boolean
required
Whether or not the action execution was successful or not